Logo Site EngageLab Mark Colored TransparentDocument
Search

Group Push API

The examples use Singapore. Select the Base URL for your application’s data center before making requests. For group push, use the group’s data center and credentials. See the address list in REST API Overview.

Feature Overview

This API is used to create a push for an application group. With a single call, messages can be pushed to all applications in the group.

  • The override_msg_id property in option is not supported at this time.
  • For group push, scheduled tasks can only be configured when pushing from the console. Setting scheduled tasks through the Schedule API is not supported.

Authentication

Add the following Key/Value pair to the HTTP header:

Authorization: Basic ${base64_auth_string}
              
              Authorization: Basic ${base64_auth_string}

            
This code block in the floating window

The generation algorithm for base64_auth_string above is: base64(username:password)
The header name is Authorization, and the value is the Base64-converted username:password pair (with a colon between them).
In the Group Push API scenario, username is the group- prefix plus GroupKey, and password is the Group Master Secret. Both can be viewed in the console under [Group Management] - [Edit].

image.png

Endpoint

POST v4/grouppush
              
              POST v4/grouppush

            
This code block in the floating window

Request Example

curl --insecure -X POST -v https://webpushapi-sgp.engagelab.com/v4/grouppush \ -H "Content-Type: application/json" \ -u "c96f42e0d2e662e45d035ab1:df4d59e84eac2f9d53b36f12" \ -d '{ "from": "push", "to": "all", "body": { "platform": "web", "notification": { "alert": "Hi,MTPush !", "web": { "title": "web_push", "url": "http://www.google.com", "extras": { "web-key1": "web-value1" } } } }, "request_id": "12345678", "custom_args": "business info" }' > POST /v4/grouppush HTTP/1.1 > Authorization: Basic Yzk2ZjQyZTBkMmU2NjJlNDVkMDM1YWIxOmRmNGQ1OWU4NGVhYzJmOWQ1M2IzNmYxMg==
              
              curl --insecure -X POST -v https://webpushapi-sgp.engagelab.com/v4/grouppush \
-H "Content-Type: application/json" \
-u "c96f42e0d2e662e45d035ab1:df4d59e84eac2f9d53b36f12" \
-d '{
    "from": "push",
    "to": "all",
    "body": {
        "platform": "web",
        "notification": {
            "alert": "Hi,MTPush !",
            "web": {
                "title": "web_push",
                "url": "http://www.google.com",
                "extras": {
                    "web-key1": "web-value1"
                }
            }
        }
    },
    "request_id": "12345678",
    "custom_args": "business info"
}'
> POST /v4/grouppush HTTP/1.1
> Authorization: Basic Yzk2ZjQyZTBkMmU2NjJlNDVkMDM1YWIxOmRmNGQ1OWU4NGVhYzJmOWQ1M2IzNmYxMg==

            
This code block in the floating window

Request Parameters

For request parameters, refer to the Create Push API.

Response Example

Successful Response

{ "0c3de43c6a6b68c9f4261b06": {"request_id":"12345678","msg_id":"2460001"}, "35c424abde12f475566ca8af": {"request_id":"12345678","msg_id":"2460001"}, "8f02a4fa717a6235734d92de": {"request_id":"12345678","msg_id":"2460001"}, "group_msgid": "cbou2uum98lps87rtic0" }
              
              {
    "0c3de43c6a6b68c9f4261b06": {"request_id":"12345678","msg_id":"2460001"},
    "35c424abde12f475566ca8af": {"request_id":"12345678","msg_id":"2460001"},
    "8f02a4fa717a6235734d92de": {"request_id":"12345678","msg_id":"2460001"},
    "group_msgid": "cbou2uum98lps87rtic0"
}

            
This code block in the floating window

Failed Response

{ "error": { "code": 21037, "message": "group_key is not a 24 size string or does not exist" } }
              
              {
    "error": {
        "code": 21037,
        "message": "group_key is not a 24 size string or does not exist"
    }
}

            
This code block in the floating window

Error Codes

For details, refer to "Create Push API - Response".

Icon Solid Transparent White Qiyu
Contact Sales